//: cdmLib.cpp
// This file contains function definitions for the cellphone dictionary creating proggie

#include "cdm.h"
#include <locale>
using namespace std;

void wordchanger::changeword(char word[], int wordsize)	{					//	This function goes through the string sent to it character by character, changes higher case letters to lower case and eliminates numbers and special signs
	int c;																	// The integer is needed because the operations are dane based on the decimal ASCII values of the characters. Expand the conversion for UTF- 8 if possible.
	for(int i = 0; i < wordsize; i++)	{
		c = word[i];
		if(c >= 1 && c <= 64)
			c = 32;
		if(c >= 91 && c <= 96)
			c = 32;
		if(c >= 123 && c <= 127)
			c = 32;
/*		if(c >= 139 && c <= 141)
			c = 32;
		if(c >= 143 && c <= 153)
			c = 32;
		if(c >= 143 && c <= 153)
			c = 32;
		if(c >= 155 && c <= 157)
			c = 32;
		if(c == 160)
			c = 32;
		if(c >= 163 && c <= 191)
			c = 32;									*/
		word[i] = c;
		word[i] = tolower(word[i]);																				// Assign the value back to the outside object.
	}
}

bool wordchanger::testword(char word[], int wordsize)	{											// This function checks whether the word ended up with white spaces in it.
	bool brokenword = false;																// In such a case it isn't fit for a dictionary!
	for(int i = 0; i < wordsize; i++)	
		if(word[i] == ' ')	{
			brokenword = true;
			break;
		};
	return brokenword;
}


