// This header file contains functions used for proper formatting 
// of simple text output. Don't forget to include it if
// You wish to use it.
//
// List of functions:
// md();
// pressc();


#ifndef OFORMAT_H
#define OFORMAT_H


#include <iostream>


// The md() function is used for clearing the screen, or inserting a certain number
// of empty lines quickly. To clear the screen, use a large number as the argument, such as 
// 'md(100);', or, if a lower number of empty lines in the output is desired,
// use the desired number of lines as the argument, for instance md(5);.

void md(int l)   {                 
   		for(int i = 0; i < l; i++)       
      		std::cout << std::endl;
   }




// This function, when invoked, will stop the execution of a program
// until the 'c' key is pressed. It's invoked by stating 'press();'.

void pressc()   {
		char c;
		std::cout << "Press 'c' and then ENTER to continue!\n";
   		while (c != 'c')
      		std::cin >> c;
   }
   
   
#endif